package com.glxp.udidl.admin.entity.chs;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 药品
 */
@Data
@TableName(value = "yb_drug")
public class YbDrug implements Serializable {

    /**
    * 统一社会信用代码
    */
    @TableField(value = "businessLicense")
    private String businessLicense;

    /**
    * 公司名称
    */
    @TableField(value = "companyNameSc")
    private String companyNameSc;

    /**
    * 注批准文号
    */
    @TableField(value = "approvalCode")
    private String approvalCode;

    /**
    * 药品本位码
    */
    @TableField(value = "goodsStandardCode")
    private String goodsStandardCode;

    /**
    * baseId
    */
    @TableField(value = "baseId")
    private String baseId;

    /**
    * 产品名
    */
    @TableField(value = "productName")
    private String productName;

    /**
    * 产品分类码
    */
    @TableField(value = "productMedicinemodel")
    private String productMedicinemodel;

    /**
    * 注册名称
    */
    @TableField(value = "registeredProductName")
    private String registeredProductName;

    /**
    * 药品企业
    */
    @TableField(value = "listingHolder")
    private String listingHolder;

    /**
    * 注册剂型
    */
    @TableField(value = "registeredMedicinemodel")
    private String registeredMedicinemodel;

    /**
    * 最小制剂单位
    */
    @TableField(value = "minUnit")
    private String minUnit;

    /**
    * 最小包装数量
    */
    @TableField(value = "factor")
    private Integer factor;

    @TableField(value = "goodsName")
    private String goodsName;

    @TableField(value = "dataSouce")
    private String dataSouce;

    /**
    * 规格
    */
    @TableField(value = "realityOutlook")
    private String realityOutlook;

    @TableField(value = "productRemark")
    private String productRemark;

    @TableField(value = "subpackager")
    private String subpackager;

    @TableField(value = "version")
    private String version;

    @TableField(value = "productInsuranceType")
    private String productInsuranceType;

    /**
    * 剂型
    */
    @TableField(value = "realityMedicinemodel")
    private String realityMedicinemodel;

    @TableField(value = "marketState")
    private String marketState;

    /**
    * 包装材质
    */
    @TableField(value = "materialName")
    private String materialName;

    /**
    * 最小包装单位
    */
    @TableField(value = "unit")
    private String unit;

    /**
    * 注册规格
    */
    @TableField(value = "registeredOutlook")
    private String registeredOutlook;

    @TableField(value = "productCode")
    private String productCode;

    /**
    * 药品代码
    */
    @TableField(value = "goodsCode")
    private String goodsCode;


}