package com.glxp.udidl.admin.res.collect;

import lombok.Data;

import java.util.Date;

@Data
public class RelCodeBatchResponse {

    private Integer id;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 类型编码
     */
    private String subTypeNo;

    /**
     * 包装比例
     */
    private String cascadeRatio;

    /**
     * 包装规格
     */
    private String packageSpec;

    /**
     * 备注
     */
    private String comment;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private Date madeDate;

    /**
     * 有效期至
     */
    private Date validateDate;

    /**
     * 生产车间
     */
    private String workShop;

    /**
     * 生产线
     */
    private String lineName;

    /**
     * 负责人
     */
    private String lineManager;

    /**
     * 产品名称，通用名称
     */
    private String cpmctymc;
    /**
     * 包含下级数量
     */
    private Integer bhxjsl;

    /**
     * 包装单位
     */
    private String packUnit;
    /**
     * 包装级别
     */
    private Integer packLayer;
}
