package com.glxp.udidl.admin.res.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.glxp.udidl.admin.entity.collect.RelCodeDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class RelCodeDetailByParentCodeResponse {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 产品编码
     */
    @TableField(value = "productCode")
    @ApiModelProperty(value="产品编码")
    private String productCode;

    /**
     * 类型编码
     */
    @TableField(value = "subTypeNo")
    @ApiModelProperty(value="类型编码")
    private String subTypeNo;

    /**
     * 包装比例
     */
    @TableField(value = "cascadeRatio")
    @ApiModelProperty(value="包装比例")
    private String cascadeRatio;

    /**
     * 包装规格
     */
    @TableField(value = "packageSpec")
    @ApiModelProperty(value="包装规格")
    private String packageSpec;

    /**
     * 备注
     */
    @TableField(value = "comment")
    @ApiModelProperty(value="备注")
    private String comment;

    /**
     * 批次号
     */
    @TableField(value = "batchNo")
    @ApiModelProperty(value="批次号")
    private String batchNo;

    /**
     * 生产日期
     */
    @TableField(value = "madeDate")
    @ApiModelProperty(value="生产日期")
    private String madeDate;

    /**
     * 有效期至
     */
    @TableField(value = "validateDate")
    @ApiModelProperty(value="有效期至")
    private String validateDate;

    /**
     * 生产车间
     */
    @TableField(value = "workShop")
    @ApiModelProperty(value="生产车间")
    private String workShop;

    /**
     * 生产线
     */
    @TableField(value = "lineName")
    @ApiModelProperty(value="生产线")
    private String lineName;

    /**
     * 负责人
     */
    @TableField(value = "lineManager")
    @ApiModelProperty(value="负责人")
    private String lineManager;

    @TableField(value = "createTime")
    @ApiModelProperty(value = "")
    private Date createTime;

    @TableField(value = "`createUser`")
    @ApiModelProperty(value = "")
    private String createUser;

    @TableField(value = "updateTime")
    @ApiModelProperty(value = "")
    private Date updateTime;

    @TableField(value = "updateUser")
    @ApiModelProperty(value = "")
    private String updateUser;


    /**
     * 父级码
     */

    @TableField(value = "parentCode")
    @ApiModelProperty(value = "")
    private String parentCode;

    private List<RelCodeDetail> relCodeDetail;

    private List<RelCodeDetailByParentCodeResponse> RelCodeDetailSons;
}
