package com.glxp.udidl.admin.service.udchs.impl;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.glxp.udidl.admin.dao.chs.YbHcxxGgMapper;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.entity.chs.YbHcxxGgEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.res.PageSimpleResponse;
import com.glxp.udidl.admin.service.udchs.YbHcxxGgService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class YbHcxxGgServiceImpl implements YbHcxxGgService {
    @Resource
    YbHcxxGgMapper mapper;
    @Override
    public BaseResponse getList(BaseParam param) {
        PageHelper.startPage(param.getPage(), param.getLimit());
        List<YbHcxxGgEntity> list = mapper.list(param);
        PageInfo<YbHcxxGgEntity> pageInfo = new PageInfo<>(list);
        PageSimpleResponse<YbHcxxGgEntity> pageSimpleResponse = new PageSimpleResponse<>();
        pageSimpleResponse.setTotal(pageInfo.getTotal());
        pageSimpleResponse.setList(list);
        return ResultVOUtils.success(pageSimpleResponse);
    }
}
