package com.glxp.udidl.admin.entity.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value="com-glxp-api-entity-collect-RelCodeDetail")
@Data
@TableName(value = "rel_code_detail")
public class RelCodeDetail implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 当前条码
     */
    @TableField(value = "curCode")
    @ApiModelProperty(value="当前条码")
    private String curCode;

    /**
     * 包装级别
     */
    @TableField(value = "packLayer")
    @ApiModelProperty(value="包装级别")
    private Integer packLayer;

    /**
     * 父级码
     */
    @TableField(value = "parentCode")
    @ApiModelProperty(value="父级码")
    private String parentCode;

    /**
     * 状态
     */
    @TableField(value = "flag")
    @ApiModelProperty(value="状态")
    private Integer flag;

    /**
     * 产品批次ID外键
     */
    @TableField(value = "batchIdFk")
    @ApiModelProperty(value="产品批次ID外键")
    private Integer batchIdFk;

}
