package com.glxp.udidl.admin.req.collect;

import com.baomidou.mybatisplus.annotation.TableField;
import com.glxp.udidl.admin.req.ListPageRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class RelCodeBatchRequest extends ListPageRequest {

    private Integer id;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 类型编码
     */
    private String subTypeNo;

    /**
     * 包装比例
     */
    private String cascadeRatio;

    /**
     * 包装规格
     */
    private String packageSpec;

    /**
     * 备注
     */
    private String comment;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 生产日期
     */
    private String madeDate;

    /**
     * 有效期至
     */
    private String validateDate;

    /**
     * 生产车间
     */
    private String workShop;

    /**
     * 生产线
     */
    private String lineName;

    /**
     * 负责人
     */
    private String lineManager;

    private Date createTime;

    private String createUser;

    private Date updateTime;

    private String updateUser;

    private String keyWords;

    private List<RelCodeDetailRequest> detailList;

    private String code;
    private String startDate;
    private String endDate;


    /**
     * 父级码
     */

    @TableField(value = "parentCode")
    @ApiModelProperty(value = "")
    private String parentCode;
}
