package com.glxp.udidl.admin.res.chs;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YbHcxxResponse {
    @JsonProperty("records")
    private Integer records;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("rows")
    private List<RowsDTO> rows;
    @JsonProperty("page")
    private Integer page;
    @JsonProperty("count")
    private Integer count;
    @JsonProperty("firstResult")
    private Integer firstResult;
    @JsonProperty("maxResults")
    private Integer maxResults;
    @JsonProperty("success")
    private Boolean success;
    @JsonProperty("result")
    private String result;
    @JsonProperty("conditions")
    private ConditionsDTO conditions;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("form")
    private String form;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("operCount")
    private Integer operCount;
    @JsonProperty("sord")
    private String sord;
    @JsonProperty("sidx")
    private String sidx;
    @JsonProperty("orderby")
    private String orderby;

    @NoArgsConstructor
    @Data
    public static class ConditionsDTO {
        @JsonProperty("specificationCode")
        private String specificationCode;
    }

    @NoArgsConstructor
    @Data
    public static class RowsDTO {
        @JsonProperty("releaseVersion")
        private Integer releaseVersion;
        @JsonProperty("regcardName")
        private String regcardName;
        @JsonProperty("regcardnm")
        private String regcardnm;
        @JsonProperty("productName")
        private String productName;
        @JsonProperty("specification")
        private String specification;
        @JsonProperty("model")
        private String model;
        @JsonProperty("specificationCode")
        private String specificationCode;
        @JsonProperty("catalogname1")
        private String catalogname1;
        @JsonProperty("catalogname2")
        private String catalogname2;
        @JsonProperty("catalogname3")
        private String catalogname3;
        @JsonProperty("commonname")
        private String commonname;
        @JsonProperty("matrial")
        private String matrial;
        @JsonProperty("characteristic")
        private String characteristic;
        @JsonProperty("companyName")
        private String companyName;
        @JsonProperty("prodCount")
        private String prodCount;
        @JsonProperty("regCount")
        private String regCount;
        @JsonProperty("specCount")
        private String specCount;
        @JsonProperty("codeCount")
        private String codeCount;
        @JsonProperty("codeCounts")
        private String codeCounts;
        @JsonProperty("proCounts")
        private String proCounts;
        @JsonProperty("regCounts")
        private String regCounts;
        @JsonProperty("compCounts")
        private String compCounts;
        @JsonProperty("specCounts")
        private String specCounts;
        @JsonProperty("totals")
        private String totals;
        @JsonProperty("productionCode")
        private String productionCode;
    }
}
