package com.glxp.udidl.admin.res.tyapi;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class ContactResponse {

    @JsonProperty("result")
    private ResultDTO result;
    @JsonProperty("reason")
    private String reason;
    @JsonProperty("error_code")
    private Integer errorCode;

    @NoArgsConstructor
    @Data
    public static class ResultDTO {
        @JsonProperty("phoneNumber")
        private String phoneNumber;
        @JsonProperty("allCalls")
        private List<AllCallsDTO> allCalls;
        @JsonProperty("regLocation")
        private String regLocation;
        @JsonProperty("id")
        private Integer id;
        @JsonProperty("email")
        private String email;
        @JsonProperty("websiteList")
        private String websiteList;

        @NoArgsConstructor
        @Data
        public static class AllCallsDTO {
            @JsonProperty("phoneNumber")
            private String phoneNumber;
            @JsonProperty("source")
            private String source;
            @JsonProperty("tag")
            private String tag;
        }
    }
}
